[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomBitmap.UpdateHandles

Sets the handles for the image and mask in the shared Bitmap to the specified values.

## Declaration

Source position: graphics.pp line 1414

`protected function TCustomBitmap.UpdateHandles(`
`ABitmap: HBITMAP;`
`AMask: HBITMAP`
`):Boolean; override;`

## Arguments

`ABitmap` |  | Handle assigned for the bitmap and shared image.
`AMask` |  | Handle assigned to the mask in the image.

## Function result

True when the handle(s) are successfully applied.

## Description

UpdateHandles is an overridden Boolean function which implements the abstract virtual method defined in TRasterImage. UpdateHandles is used to set the handles for the shared bitmap image and its mask to the values specified in ABitmap and AMask.

The return value is True when the values in ABitmap and AMask are successfully applied in the class instance. The return value is False when ABitmap and Mask have the same values as the existing handles in the class instance, and the action is not needed.

The FreeHandle method in the internal shared image is called before applying the value in ABitmap.

FreeMaskHandle is called to free the value in MaskHandle before applying the value in AMask.

UpdateHandles is used in the implementation of the MaskHandleNeeded and SetHandles methods.

## See also

TRasterImage.UpdateHandles |  | Updates image handles when the raw image data is loaded.